curl --request POST \
--url https://api.finseo.ai/v1/projects/PROJECT_ID/attribution/bulk \
--header "Authorization: Bearer $FINSEO_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"responses": [
{
"channelId": "ai_search",
"respondentEmail": "jane@company.com",
"dealValue": 12000
},
{
"channelId": "google_search",
"respondentEmail": "john@corp.com",
"dealValue": 8500
},
{
"channelId": "social_media",
"respondentEmail": "alex@startup.io"
}
]
}'
{
"data": {
"imported": 3
}
}
Attribution
Bulk Create Attributions
POST
/
v1
/
projects
/
{projectId}
/
attribution
/
bulk
curl --request POST \
--url https://api.finseo.ai/v1/projects/PROJECT_ID/attribution/bulk \
--header "Authorization: Bearer $FINSEO_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"responses": [
{
"channelId": "ai_search",
"respondentEmail": "jane@company.com",
"dealValue": 12000
},
{
"channelId": "google_search",
"respondentEmail": "john@corp.com",
"dealValue": 8500
},
{
"channelId": "social_media",
"respondentEmail": "alex@startup.io"
}
]
}'
{
"data": {
"imported": 3
}
}
Import up to 1000 attribution responses at once. Use this for historical data migration from your CRM or analytics tool.
Requires
write scope on your API key.
curl --request POST \
--url https://api.finseo.ai/v1/projects/PROJECT_ID/attribution/bulk \
--header "Authorization: Bearer $FINSEO_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"responses": [
{
"channelId": "ai_search",
"respondentEmail": "jane@company.com",
"dealValue": 12000
},
{
"channelId": "google_search",
"respondentEmail": "john@corp.com",
"dealValue": 8500
},
{
"channelId": "social_media",
"respondentEmail": "alex@startup.io"
}
]
}'
{
"data": {
"imported": 3
}
}